Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.11
%define subrel 1
Release:	%mkrel 10
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	ftp://ftp.feep.net/pub/software/libtar/%{name}-%{version}.tar.bz2
Patch0:		libtar-1.2.11-includes.patch
# http://repo.or.cz/w/libtar.git/commit/45448e8bae671c2f7e80b860ae0fc0cedf2bdc04
Patch1:		libtar-1.2.11-CVE-2013-4397.diff
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as 
    tar_append_regfile().

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/C
%description devel
This package contains the static library and the C headers needed to
build applications with libtar.

%prep
%setup -q
%patch0 -p1 -b .includes
%patch1 -p1 -b .CVE-2013-4397

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/libtar

%files devel
%defattr(-,root,root)
%doc README ChangeLog* COPYRIGHT TODO
%{_includedir}/libtar*.h
%{_libdir}/libtar.a
%{_mandir}/man3/*.3*




%changelog
* Thu Oct 10 2013 oden <oden> 1.2.11-10.1.mga2
+ Revision: 494625
- P1: security fix for CVE-2013-4397 (upstream)

  + pterjan <pterjan>
    - imported package libtar

